aboutsummaryrefslogtreecommitdiff
path: root/package
diff options
context:
space:
mode:
authorGravatar Peter Korsgaard <jacmet@sunsite.dk>2008-06-19 19:06:25 +0000
committerGravatar Peter Korsgaard <jacmet@sunsite.dk>2008-06-19 19:06:25 +0000
commita5ac61715b70ef628e1239e92ffd7aae859e8294 (patch)
tree15728d9cc383c794196d671ad8262fc1d364e7e8 /package
parent9991e8c7fbd18bf12af66b7cf040d2d7de3ed6c0 (diff)
downloadbuildroot-a5ac61715b70ef628e1239e92ffd7aae859e8294.tar.gz
buildroot-a5ac61715b70ef628e1239e92ffd7aae859e8294.tar.bz2
buildroot: s/depends/depends on/
The new kconfig is more strict regarding depends/depends on, so fixup the tree.
Diffstat (limited to 'package')
-rw-r--r--package/argus/Config.in2
-rw-r--r--package/asterisk/Config.in6
-rw-r--r--package/atk/Config.in4
-rw-r--r--package/avahi/Config.in4
-rw-r--r--package/blackbox/Config.in2
-rw-r--r--package/busybox/Config.in6
-rw-r--r--package/dbus/Config.in2
-rw-r--r--package/dhcp/Config.in6
-rw-r--r--package/dillo/Config.in12
-rw-r--r--package/editors/vim/Config.in2
-rw-r--r--package/fltk/Config.in2
-rw-r--r--package/freetype/Config.in2
-rw-r--r--package/gtk2-engines/Config.in2
-rw-r--r--package/gtk2-themes/Config.in4
-rw-r--r--package/ipsec-tools/Config.in2
-rw-r--r--package/matchbox/Config.in8
-rw-r--r--package/midori/Config.in2
-rw-r--r--package/modutils/Config.in2
-rw-r--r--package/mtd/Config.in2
-rw-r--r--package/ncftp/Config.in14
-rw-r--r--package/neon/Config.in6
-rw-r--r--package/nfs-utils/Config.in2
-rw-r--r--package/ntp/Config.in2
-rw-r--r--package/pcmcia/Config.in2
-rw-r--r--package/qte/Config.in44
-rw-r--r--package/qtopia4/Config.in34
-rw-r--r--package/quagga/Config.in2
-rw-r--r--package/rxvt/Config.in2
-rw-r--r--package/samba/Config.in2
-rw-r--r--package/sdl/Config.in2
-rw-r--r--package/synergy/Config.in2
-rw-r--r--package/tcl/Config.in4
-rw-r--r--package/udev/Config.in2
-rw-r--r--package/valgrind/Config.in2
-rw-r--r--package/vpnc/Config.in6
-rw-r--r--package/webif/Config.in4
-rw-r--r--package/x11r7/xdata_xkbdata/Config.in2
-rw-r--r--package/xorg/Config.in2
38 files changed, 104 insertions, 104 deletions
diff --git a/package/argus/Config.in b/package/argus/Config.in
index 97f8ec1e8f..b159a41866 100644
--- a/package/argus/Config.in
+++ b/package/argus/Config.in
@@ -1,7 +1,7 @@
config BR2_PACKAGE_ARGUS
bool "argus"
default n
- depends BR2_PACKAGE_LIBPCAP
+ depends on BR2_PACKAGE_LIBPCAP
help
A Real Time Flow Monitor-based audit engine.
diff --git a/package/asterisk/Config.in b/package/asterisk/Config.in
index 36238debbd..1a35546e7a 100644
--- a/package/asterisk/Config.in
+++ b/package/asterisk/Config.in
@@ -3,11 +3,11 @@ config BR2_PACKAGE_ASTERISK
default n
select BR2_PACKAGE_NCURSES
select BR2_PACKAGE_ZLIB
- depends BR2_PACKAGE_OPENSSL
- depends BR2_PACKAGE_MPG123
+ depends on BR2_PACKAGE_OPENSSL
+ depends on BR2_PACKAGE_MPG123
help
Asterisk - the Open Source PBX
comment "asterisk - disabled (required openssl and mpg123)"
- depends !BR2_PACKAGE_OPENSSL || ! BR2_PACKAGE_MPG123
+ depends on !BR2_PACKAGE_OPENSSL || ! BR2_PACKAGE_MPG123
diff --git a/package/atk/Config.in b/package/atk/Config.in
index 6fcaf1c433..baa153b76a 100644
--- a/package/atk/Config.in
+++ b/package/atk/Config.in
@@ -2,9 +2,9 @@ config BR2_PACKAGE_ATK
bool "atk"
select BR2_PACKAGE_PKGCONFIG
default n
- depends BR2_PACKAGE_LIBGLIB2
+ depends on BR2_PACKAGE_LIBGLIB2
help
The ATK accessibility toolkit, needed to build GTK+-2.x.
comment "atk - disabled (requires libglib2)"
- depends !BR2_PACKAGE_LIBGLIB2
+ depends on !BR2_PACKAGE_LIBGLIB2
diff --git a/package/avahi/Config.in b/package/avahi/Config.in
index 2114dce94e..6a45d4e709 100644
--- a/package/avahi/Config.in
+++ b/package/avahi/Config.in
@@ -24,7 +24,7 @@ config BR2_PACKAGE_AVAHI_DAEMON
bool "mDNS/DNS-SD daemon"
default n
depends on BR2_PACKAGE_AVAHI
- depends BR2_PACKAGE_EXPAT
+ depends on BR2_PACKAGE_EXPAT
help
The Avahi mDNS/DNS-SD daemon implementing Apple's ZeroConf
architecture (also known as "Rendezvous" or "Bonjour").
@@ -33,4 +33,4 @@ config BR2_PACKAGE_AVAHI_DAEMON
comment "mDNS/DNS-SD daemon - disabled (requires expat)"
depends on BR2_PACKAGE_AVAHI
- depends !BR2_PACKAGE_EXPAT
+ depends on !BR2_PACKAGE_EXPAT
diff --git a/package/blackbox/Config.in b/package/blackbox/Config.in
index 40de632bb0..7e8d7df0e5 100644
--- a/package/blackbox/Config.in
+++ b/package/blackbox/Config.in
@@ -8,4 +8,4 @@ config BR2_PACKAGE_BLACKBOX
http://blackboxwm.sourceforge.net/
comment "blackbox - disabled (requires Xorg(7))"
- depends !(BR2_PACKAGE_XORG || BR2_PACKAGE_XORG7)
+ depends on !(BR2_PACKAGE_XORG || BR2_PACKAGE_XORG7)
diff --git a/package/busybox/Config.in b/package/busybox/Config.in
index 551ef635e9..1c54e845f4 100644
--- a/package/busybox/Config.in
+++ b/package/busybox/Config.in
@@ -11,7 +11,7 @@ config BR2_PACKAGE_BUSYBOX
choice
prompt "BusyBox Version"
- depends BR2_PACKAGE_BUSYBOX
+ depends on BR2_PACKAGE_BUSYBOX
default BR2_BUSYBOX_VERSION_1_10_X
help
Select the version of BusyBox you wish to use.
@@ -55,7 +55,7 @@ config BR2_BUSYBOX_VERSION
config BR2_PACKAGE_BUSYBOX_FULLINSTALL
bool "Run BusyBox's own full installation"
- depends BR2_PACKAGE_BUSYBOX
+ depends on BR2_PACKAGE_BUSYBOX
default y
help
If you want to run BusyBox's own full install for the
@@ -68,7 +68,7 @@ config BR2_PACKAGE_BUSYBOX_FULLINSTALL
config BR2_PACKAGE_BUSYBOX_CONFIG
string "BusyBox configuration file to use?"
- depends BR2_PACKAGE_BUSYBOX
+ depends on BR2_PACKAGE_BUSYBOX
default "target/device/x86/i386/busybox.config" if BR2_PACKAGE_BUSYBOX_SNAPSHOT
default "package/busybox/busybox-1.2.2.1.config" if BR2_BUSYBOX_VERSION_1_2_2_1
default "package/busybox/busybox-1.6.0.config" if BR2_BUSYBOX_VERSION_1_6_1
diff --git a/package/dbus/Config.in b/package/dbus/Config.in
index 343656c350..e54d86c8ee 100644
--- a/package/dbus/Config.in
+++ b/package/dbus/Config.in
@@ -13,7 +13,7 @@ comment "dbus not available (need expat or libxml2)"
choice
prompt "XML library to use"
- depends BR2_PACKAGE_DBUS
+ depends on BR2_PACKAGE_DBUS
default BR2_DBUS_LIBXML2 if BR2_PACKAGE_LIBXML2
default BR2_DBUS_EXPAT
help
diff --git a/package/dhcp/Config.in b/package/dhcp/Config.in
index 4d19710a8a..26bc455ca8 100644
--- a/package/dhcp/Config.in
+++ b/package/dhcp/Config.in
@@ -8,7 +8,7 @@ config BR2_PACKAGE_ISC_DHCP
config BR2_PACKAGE_DHCP_SERVER
bool "dhcp server"
- depends BR2_PACKAGE_ISC_DHCP
+ depends on BR2_PACKAGE_ISC_DHCP
default n
help
DHCP server from the ISC DHCP distribution.
@@ -16,7 +16,7 @@ config BR2_PACKAGE_DHCP_SERVER
config BR2_PACKAGE_DHCP_RELAY
bool "dhcp relay"
- depends BR2_PACKAGE_ISC_DHCP
+ depends on BR2_PACKAGE_ISC_DHCP
default n
help
DHCP relay agent from the ISC DHCP distribution.
@@ -24,7 +24,7 @@ config BR2_PACKAGE_DHCP_RELAY
config BR2_PACKAGE_DHCP_CLIENT
bool "dhcp client"
- depends BR2_PACKAGE_ISC_DHCP
+ depends on BR2_PACKAGE_ISC_DHCP
default n
help
DHCP client from the ISC DHCP distribution.
diff --git a/package/dillo/Config.in b/package/dillo/Config.in
index 727d305bea..1635af14ba 100644
--- a/package/dillo/Config.in
+++ b/package/dillo/Config.in
@@ -1,11 +1,11 @@
config BR2_PACKAGE_DILLO
bool "dillo"
default n
- depends BR2_PACKAGE_JPEG
- depends BR2_PACKAGE_LIBGLIB12
- depends BR2_PACKAGE_LIBGTK12
- depends BR2_PACKAGE_ZLIB
- depends BR2_PACKAGE_LIBPNG
+ depends on BR2_PACKAGE_JPEG
+ depends on BR2_PACKAGE_LIBGLIB12
+ depends on BR2_PACKAGE_LIBGTK12
+ depends on BR2_PACKAGE_ZLIB
+ depends on BR2_PACKAGE_LIBPNG
depends on BR2_PACKAGE_XORG||BR2_PACKAGE_XORG7
help
Dillo is a small GTK+ based web browser written in C.
@@ -13,4 +13,4 @@ config BR2_PACKAGE_DILLO
http://www.dillo.org/
comment "dillo - disabled (requires jpeg,libglib12,libgtk12,zlib,libpng and Xorg(7))"
- depends !BR2_PACKAGE_JPEG || !BR2_PACKAGE_LIBGLIB12 || !BR2_PACKAGE_LIBGTK12 || !BR2_PACKAGE_ZLIB || !BR2_PACKAGE_LIBPNG || !(BR2_PACKAGE_XORG || BR2_PACKAGE_XORG7)
+ depends on !BR2_PACKAGE_JPEG || !BR2_PACKAGE_LIBGLIB12 || !BR2_PACKAGE_LIBGTK12 || !BR2_PACKAGE_ZLIB || !BR2_PACKAGE_LIBPNG || !(BR2_PACKAGE_XORG || BR2_PACKAGE_XORG7)
diff --git a/package/editors/vim/Config.in b/package/editors/vim/Config.in
index ddf0a604f5..9dd90b90ce 100644
--- a/package/editors/vim/Config.in
+++ b/package/editors/vim/Config.in
@@ -11,7 +11,7 @@ config BR2_PACKAGE_VIM
config BR2_PACKAGE_VIM_RUNTIME
bool "install runtime"
default y
- depends BR2_PACKAGE_VIM
+ depends on BR2_PACKAGE_VIM
help
Install VIM runtime (syntax highlighing + macros).
This option adds about 13MB of data to /usr/share/
diff --git a/package/fltk/Config.in b/package/fltk/Config.in
index 08184bf2ee..e91dc79dfb 100644
--- a/package/fltk/Config.in
+++ b/package/fltk/Config.in
@@ -8,4 +8,4 @@ config BR2_PACKAGE_FLTK
http://www.fltk.org/
comment "fltk - disabled (requires Xorg(7))"
- depends !(BR2_PACKAGE_XORG || BR2_PACKAGE_XORG7)
+ depends on !(BR2_PACKAGE_XORG || BR2_PACKAGE_XORG7)
diff --git a/package/freetype/Config.in b/package/freetype/Config.in
index 7159a07277..fd3dabbe32 100644
--- a/package/freetype/Config.in
+++ b/package/freetype/Config.in
@@ -9,7 +9,7 @@ config BR2_PACKAGE_FREETYPE
choice
prompt "Freetype Version"
- depends BR2_PACKAGE_FREETYPE
+ depends on BR2_PACKAGE_FREETYPE
default BR2_FREETYPE_VERSION_2_2_1
help
Select the version of Freetype you wish to use.
diff --git a/package/gtk2-engines/Config.in b/package/gtk2-engines/Config.in
index ae4c159c5b..ef1f15081f 100644
--- a/package/gtk2-engines/Config.in
+++ b/package/gtk2-engines/Config.in
@@ -1,6 +1,6 @@
config BR2_PACKAGE_LIBGTK2_ENGINES
bool "gtk engines"
default n
- depends BR2_PACKAGE_LIBGTK2
+ depends on BR2_PACKAGE_LIBGTK2
help
A collection of basic theme engines for GTK+.
diff --git a/package/gtk2-themes/Config.in b/package/gtk2-themes/Config.in
index 0e0a96555d..9b295afadc 100644
--- a/package/gtk2-themes/Config.in
+++ b/package/gtk2-themes/Config.in
@@ -1,9 +1,9 @@
menu "GTK Themes"
-depends BR2_PACKAGE_LIBGTK2
+depends on BR2_PACKAGE_LIBGTK2
config BR2_PACKAGE_GTK2_THEME_HICOLOR
bool "hicolor (defaut theme)"
default n
- depends BR2_PACKAGE_LIBGTK2
+ depends on BR2_PACKAGE_LIBGTK2
endmenu
diff --git a/package/ipsec-tools/Config.in b/package/ipsec-tools/Config.in
index 9828243299..7ea9705e45 100644
--- a/package/ipsec-tools/Config.in
+++ b/package/ipsec-tools/Config.in
@@ -1,7 +1,7 @@
config BR2_PACKAGE_IPSEC_TOOLS
bool "ipsec-tools"
default n
- depends BR2_PACKAGE_OPENSSL && BR2_PACKAGE_FLEX && BR2_PACKAGE_FLEX_LIBFL
+ depends on BR2_PACKAGE_OPENSSL && BR2_PACKAGE_FLEX && BR2_PACKAGE_FLEX_LIBFL
help
This package is required to support IPSec for Linux 2.6+
diff --git a/package/matchbox/Config.in b/package/matchbox/Config.in
index 2e79ea74ed..6388d08b76 100644
--- a/package/matchbox/Config.in
+++ b/package/matchbox/Config.in
@@ -12,7 +12,7 @@ config BR2_PACKAGE_MATCHBOX
config BR2_PACKAGE_MATCHBOX_SNOTIFY
bool "Enable Matchbox Startup Notification"
- depends BR2_PACKAGE_MATCHBOX
+ depends on BR2_PACKAGE_MATCHBOX
select BR2_PACKAGE_XAPP_XSM
default n
help
@@ -21,7 +21,7 @@ config BR2_PACKAGE_MATCHBOX_SNOTIFY
config BR2_PACKAGE_MATCHBOX_PANEL
bool "Matchbox Panel"
- depends BR2_PACKAGE_MATCHBOX
+ depends on BR2_PACKAGE_MATCHBOX
default n
help
@@ -29,7 +29,7 @@ config BR2_PACKAGE_MATCHBOX_PANEL
config BR2_PACKAGE_MATCHBOX_DESKTOP
bool "Matchbox Desktop"
- depends BR2_PACKAGE_MATCHBOX
+ depends on BR2_PACKAGE_MATCHBOX
default n
help
@@ -37,7 +37,7 @@ config BR2_PACKAGE_MATCHBOX_DESKTOP
config BR2_PACKAGE_MATCHBOX_KEYBOARD
bool "Metchbox Virtual Keyboard"
- depends BR2_PACKAGE_MATCHBOX
+ depends on BR2_PACKAGE_MATCHBOX
select BR2_PACKAGE_XLIB_LIBXTST
default n
help
diff --git a/package/midori/Config.in b/package/midori/Config.in
index 9142d103fb..7490e52f46 100644
--- a/package/midori/Config.in
+++ b/package/midori/Config.in
@@ -11,4 +11,4 @@ config BR2_PACKAGE_MIDORI
http://software.twotoasts.de/?page=midori
comment "midori - disabled (requires Xorg(7))"
- depends !(BR2_PACKAGE_XORG || BR2_PACKAGE_XORG7)
+ depends on !(BR2_PACKAGE_XORG || BR2_PACKAGE_XORG7)
diff --git a/package/modutils/Config.in b/package/modutils/Config.in
index da445d4b98..7e9bdf814a 100644
--- a/package/modutils/Config.in
+++ b/package/modutils/Config.in
@@ -1,7 +1,7 @@
config BR2_PACKAGE_MODUTILS
bool "modutils"
default n
- depends !BR2_PACKAGE_MODULE_INIT_TOOLS
+ depends on !BR2_PACKAGE_MODULE_INIT_TOOLS
help
The modutils packages includes the kerneld program for automatic
loading and unloading of modules, as well as other module
diff --git a/package/mtd/Config.in b/package/mtd/Config.in
index 7e43ac3c5f..c5e2cab8f8 100644
--- a/package/mtd/Config.in
+++ b/package/mtd/Config.in
@@ -38,7 +38,7 @@ config BR2_PACKAGE_MTD_UTILS_GIT
endchoice
comment "MTD tools selection"
- depends BR2_PACKAGE_MTD
+ depends on BR2_PACKAGE_MTD
config BR2_PACKAGE_MTD_DOCFDISK
bool "docfdisk"
diff --git a/package/ncftp/Config.in b/package/ncftp/Config.in
index c1028f2271..e4a2405538 100644
--- a/package/ncftp/Config.in
+++ b/package/ncftp/Config.in
@@ -8,36 +8,36 @@ config BR2_PACKAGE_NCFTP
http://www.ncftp.com/ncftp/
menu "ncFTP tools selection"
- depends BR2_PACKAGE_NCFTP
+ depends on BR2_PACKAGE_NCFTP
config BR2_PACKAGE_NCFTP_GET
bool "NcFTPGet - command-line utility program"
default y
- depends BR2_PACKAGE_NCFTP
+ depends on BR2_PACKAGE_NCFTP
config BR2_PACKAGE_NCFTP_PUT
bool "NcFTPPut - command-line utility program"
default y
- depends BR2_PACKAGE_NCFTP
+ depends on BR2_PACKAGE_NCFTP
config BR2_PACKAGE_NCFTP_LS
bool "NcFTPLs - command-line utility program"
default y
- depends BR2_PACKAGE_NCFTP
+ depends on BR2_PACKAGE_NCFTP
config BR2_PACKAGE_NCFTP_BATCH
bool "NcFTPBatch - background FTP program for individual users"
default y
- depends BR2_PACKAGE_NCFTP
+ depends on BR2_PACKAGE_NCFTP
config BR2_PACKAGE_NCFTP_SPOOLER
bool "NcFTPSpooler - spooler - not working properly"
default n
- depends BR2_PACKAGE_NCFTP
+ depends on BR2_PACKAGE_NCFTP
config BR2_PACKAGE_NCFTP_BOOKMARKS
bool "NcFTPBookmarks - not working properly"
default n
- depends BR2_PACKAGE_NCFTP
+ depends on BR2_PACKAGE_NCFTP
endmenu
diff --git a/package/neon/Config.in b/package/neon/Config.in
index 8ac9d0811f..69fcff95e9 100644
--- a/package/neon/Config.in
+++ b/package/neon/Config.in
@@ -9,7 +9,7 @@ config BR2_PACKAGE_NEON
choice
prompt "XML Support"
default BR2_PACKAGE_NEON_NOXML
- depends BR2_PACKAGE_NEON
+ depends on BR2_PACKAGE_NEON
help
Select which XML library to use...
expat use exapt
@@ -18,13 +18,13 @@ choice
config BR2_PACKAGE_NEON_EXPAT
bool "expat"
- depends BR2_PACKAGE_EXPAT
+ depends on BR2_PACKAGE_EXPAT
help
expat use exapt, a library for parsing XML.
config BR2_PACKAGE_NEON_LIBXML2
bool "libxml2"
- depends BR2_PACKAGE_LIBXML2
+ depends on BR2_PACKAGE_LIBXML2
help
libxml2 use libxml2, a library to read, modify and
write XML and HTML files.
diff --git a/package/nfs-utils/Config.in b/package/nfs-utils/Config.in
index 04be8c336b..06062de30f 100644
--- a/package/nfs-utils/Config.in
+++ b/package/nfs-utils/Config.in
@@ -13,7 +13,7 @@ comment "nfs-utils requires a toolchain with 'Enable RPC' selected"
depends on !BR2_INET_RPC
menu "NFS utilities selection"
- depends BR2_PACKAGE_NFS_UTILS
+ depends on BR2_PACKAGE_NFS_UTILS
config BR2_PACKAGE_NFS_UTILS_RPCDEBUG
bool "rpcdebug"
diff --git a/package/ntp/Config.in b/package/ntp/Config.in
index cd9c7bba15..147c30e6d5 100644
--- a/package/ntp/Config.in
+++ b/package/ntp/Config.in
@@ -10,6 +10,6 @@ config BR2_PACKAGE_NTP
config BR2_PACKAGE_NTP_SNTP
bool "sntp"
default n
- depends BR2_PACKAGE_NTP
+ depends on BR2_PACKAGE_NTP
help
Simple network time protocol program
diff --git a/package/pcmcia/Config.in b/package/pcmcia/Config.in
index 6ad1eed4e9..d5503f1ad6 100644
--- a/package/pcmcia/Config.in
+++ b/package/pcmcia/Config.in
@@ -1,7 +1,7 @@
config BR2_PACKAGE_PCMCIA
bool "pcmcia"
default n
- depends BR2_PACKAGE_LINUX
+ depends on BR2_PACKAGE_LINUX
help
PCMCIA tools for Linux.
diff --git a/package/qte/Config.in b/package/qte/Config.in
index 78a564daf4..aae36b9a09 100644
--- a/package/qte/Config.in
+++ b/package/qte/Config.in
@@ -16,7 +16,7 @@ config BR2_PACKAGE_QTE
config BR2_PACKAGE_QTE_COMMERCIAL_USERNAME
string "Qt/E Commercial License Username"
default ""
- depends BR2_PACKAGE_QTE
+ depends on BR2_PACKAGE_QTE
help
Commercial users can download their source directly by providing a username. I do not mean this to be a political or economic statement, just a convenience function
@@ -24,7 +24,7 @@ config BR2_PACKAGE_QTE_COMMERCIAL_USERNAME
config BR2_PACKAGE_QTE_COMMERCIAL_PASSWORD
string "Qt/E Commercial License Password"
default ""
- depends BR2_PACKAGE_QTE
+ depends on BR2_PACKAGE_QTE
help
Commercial users can download their source directly by providing a password. I do not mean this to be a political or economic statement, just a convenience function
@@ -32,7 +32,7 @@ config BR2_PACKAGE_QTE_COMMERCIAL_PASSWORD
choice
prompt "Qt/E Version"
default BR2_QTE_VERSION_2_3_11
- depends BR2_PACKAGE_QTE
+ depends on BR2_PACKAGE_QTE
help
Select the version of Qt/E you wish to use.
@@ -61,7 +61,7 @@ config BR2_QTE_VERSION
config BR2_PACKAGE_QTE_QVFB
bool "QVfb"
default n
- depends BR2_PACKAGE_QTE
+ depends on BR2_PACKAGE_QTE
help
Trolltech provides a Virtual Framebuffer used to simulate the embedded device during development
@@ -70,7 +70,7 @@ config BR2_PACKAGE_QTE_QVFB
choice
prompt "QVfb Version"
default BR2_QTE_QVFB_VERSION_2_3_2
- depends BR2_PACKAGE_QTE_QVFB
+ depends on BR2_PACKAGE_QTE_QVFB
help
Select the version of QVfb you wish to use.
@@ -92,7 +92,7 @@ config BR2_QTE_QVFB_VERSION
config BR2_PACKAGE_QTE_QT3
bool "Qt/E-3.3.x for Qtopia build"
default n
- depends BR2_PACKAGE_QTE_QTOPIA
+ depends on BR2_PACKAGE_QTE_QTOPIA
help
Qtopia requires a Qt/E version >= 3.3.0; when using a Qt/E-2.3.x on the runtime, Qtopia still needs a Qt/E-3.3.x codebase to build
@@ -101,7 +101,7 @@ config BR2_PACKAGE_QTE_QT3
choice
prompt "QT/E v3 Version"
default BR2_QTE_QT3_VERSION_3_3_4
- depends BR2_PACKAGE_QTE_QT3
+ depends on BR2_PACKAGE_QTE_QT3
help
Select the version of QVfb you wish to use.
@@ -122,7 +122,7 @@ config BR2_QTE_QT3_VERSION
config BR2_PACKAGE_QTE_QTOPIA
bool "Qtopia"
default n
- depends BR2_PACKAGE_QTE
+ depends on BR2_PACKAGE_QTE
help
Qtopia defines some more advanced components used for mobile devices
@@ -131,7 +131,7 @@ config BR2_PACKAGE_QTE_QTOPIA
choice
prompt "Qtopia Version"
default BR2_QTE_QTOPIA_VERSION_2_1_2
- depends BR2_PACKAGE_QTE_QTOPIA
+ depends on BR2_PACKAGE_QTE_QTOPIA
help
Select the version of Qtopia you wish to use.
@@ -151,7 +151,7 @@ config BR2_QTE_QTOPIA_VERSION
config BR2_QTE_TMAKE_VERSION
string
default "1.13"
- depends BR2_PACKAGE_QTE
+ depends on BR2_PACKAGE_QTE
# generated from:
# ls ~/src/buildroot/build_arm/qt-2.3.10/configs/*-static|cut -c56-|sed -e 's/-static//g'|\
@@ -160,33 +160,33 @@ config BR2_QTE_TMAKE_VERSION
choice
prompt "Qt/E Cross-Compiler Target Platform"
default BR2_QTE_CROSS_LINUX_ARM_GPP
- depends BR2_PACKAGE_QTE
+ depends on BR2_PACKAGE_QTE
help
Select the Qt cross-platform string for your build
config BR2_QTE_CROSS_CYGWIN_ARM_GPP
# qtopia-phone does not have this platform in qtopia-phone-2.1.1/src/libraries/qtopia/custom-cygwin-arm-g++.{cpp,h}
- depends !BR2_PACKAGE_QTE_QTOPIA
+ depends on !BR2_PACKAGE_QTE_QTOPIA
bool "cygwin-arm-g++"
config BR2_QTE_CROSS_CYGWIN_IPAQ_GPP
# qtopia-phone does not have this platform in qtopia-phone-2.1.1/src/libraries/qtopia/custom-cygwin-ipaq-g++.{cpp,h}
- depends !BR2_PACKAGE_QTE_QTOPIA
+ depends on !BR2_PACKAGE_QTE_QTOPIA
bool "cygwin-ipaq-g++"
config BR2_QTE_CROSS_CYGWIN_SHARP_GPP
# qtopia-phone does not have this platform in qtopia-phone-2.1.1/src/libraries/qtopia/custom-cygwin-sharp-g++.{cpp,h}
- depends !BR2_PACKAGE_QTE_QTOPIA
+ depends on !BR2_PACKAGE_QTE_QTOPIA
bool "cygwin-sharp-g++"
config BR2_QTE_CROSS_FREEBSD_GPP
# qtopia-phone does not have this platform in qtopia-phone-2.1.1/src/libraries/qtopia/custom-freebsd-g++.{cpp,h}
- depends !BR2_PACKAGE_QTE_QTOPIA
+ depends on !BR2_PACKAGE_QTE_QTOPIA
bool "freebsd-g++"
config BR2_QTE_CROSS_LINUX_ARM_GPP
# qtopia-phone does not have this platform in qtopia-phone-2.1.1/src/libraries/qtopia/custom-linux-arm-g++.{cpp,h}
- depends !BR2_PACKAGE_QTE_QTOPIA
+ depends on !BR2_PACKAGE_QTE_QTOPIA
bool "linux-arm-g++"
config BR2_QTE_CROSS_LINUX_CASSIOPEIA_GPP
@@ -203,17 +203,17 @@ choice
config BR2_QTE_CROSS_LINUX_KOALA_GPP
# qtopia-phone does not have this platform in qtopia-phone-2.1.1/src/libraries/qtopia/custom-linux-koala-g++.{cpp,h}
- depends !BR2_PACKAGE_QTE_QTOPIA
+ depends on !BR2_PACKAGE_QTE_QTOPIA
bool "linux-koala-g++"
config BR2_QTE_CROSS_LINUX_MIPS_GPP
# qtopia-phone does not have this platform in qtopia-phone-2.1.1/src/libraries/qtopia/custom-linux-mips-g++.{cpp,h}
- depends !BR2_PACKAGE_QTE_QTOPIA
+ depends on !BR2_PACKAGE_QTE_QTOPIA
bool "linux-mips-g++"
config BR2_QTE_CROSS_LINUX_SH3_GPP
# qtopia-phone does not have this platform in qtopia-phone-2.1.1/src/libraries/qtopia/custom-linux-sh3-g++.{cpp,h}
- depends !BR2_PACKAGE_QTE_QTOPIA
+ depends on !BR2_PACKAGE_QTE_QTOPIA
bool "linux-sh3-g++"
config BR2_QTE_CROSS_LINUX_SHARP_GPP
@@ -224,17 +224,17 @@ choice
config BR2_QTE_CROSS_QNX_RTP_GPP
# qtopia-phone does not have this platform in qtopia-phone-2.1.1/src/libraries/qtopia/custom-qnx-rtp-g++.{cpp,h}
- depends !BR2_PACKAGE_QTE_QTOPIA
+ depends on !BR2_PACKAGE_QTE_QTOPIA
bool "qnx-rtp-g++"
config BR2_QTE_CROSS_SOLARIS_GPP
# qtopia-phone does not have this platform in qtopia-phone-2.1.1/src/libraries/qtopia/custom-solaris-g++.{cpp,h}
- depends !BR2_PACKAGE_QTE_QTOPIA
+ depends on !BR2_PACKAGE_QTE_QTOPIA
bool "solaris-g++"
config BR2_QTE_CROSS_WIN32_MSVC
# qtopia-phone does not have this platform in qtopia-phone-2.1.1/src/libraries/qtopia/custom-win32-msvc.{cpp,h}
- depends !BR2_PACKAGE_QTE_QTOPIA
+ depends on !BR2_PACKAGE_QTE_QTOPIA
bool "win32-msvc"
endchoice
diff --git a/package/qtopia4/Config.in b/package/qtopia4/Config.in
index 1f7153e3a9..395e7ff9e7 100644
--- a/package/qtopia4/Config.in
+++ b/package/qtopia4/Config.in
@@ -11,12 +11,12 @@ config BR2_PACKAGE_QTOPIA4
config BR2_PACKAGE_QTOPIA4_DEBUG
bool "Compile with debug support"
default n
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
choice
prompt "Library type"
default BR2_PACKAGE_QTOPIA4_SHARED
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
help
Selects the library type: Shared or Static
@@ -29,7 +29,7 @@ endchoice
choice
prompt "Qtopia 4 Core license type"
default BR2_PACKAGE_QTOPIA4_LICENSE_TYPE_GPL
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
help
Selects the type of license you which to use for Qtopia 4 Core.
@@ -44,7 +44,7 @@ endchoice
config BR2_PACKAGE_QTOPIA4_GPL_LICENSE_APPROVED
bool "Approve Qtopia Core 4 GPL licence"
default n
- depends BR2_PACKAGE_QTOPIA4 && BR2_PACKAGE_QTOPIA4_LICENSE_TYPE_GPL
+ depends on BR2_PACKAGE_QTOPIA4 && BR2_PACKAGE_QTOPIA4_LICENSE_TYPE_GPL
help
Select this if you approve the GNU GENERAL PUBLIC LICENSE Version 2
on the Qtopia Core 4 library. By doing this you will not be asked
@@ -57,7 +57,7 @@ config BR2_PACKAGE_QTOPIA4_GPL_LICENSE_APPROVED
config BR2_PACKAGE_QTOPIA4_COMMERCIAL_USERNAME
string "Qtopia Core 4 Commercial License Username"
default ""
- depends BR2_PACKAGE_QTOPIA4 && BR2_PACKAGE_QTOPIA4_LICENSE_TYPE_COMMERCIAL
+ depends on BR2_PACKAGE_QTOPIA4 && BR2_PACKAGE_QTOPIA4_LICENSE_TYPE_COMMERCIAL
help
Commercial users can download their source directly by providing a username.
@@ -65,34 +65,34 @@ config BR2_PACKAGE_QTOPIA4_COMMERCIAL_USERNAME
config BR2_PACKAGE_QTOPIA4_COMMERCIAL_PASSWORD
string "Qtopia Core 4 Commercial License Password"
default ""
- depends BR2_PACKAGE_QTOPIA4 && BR2_PACKAGE_QTOPIA4_LICENSE_TYPE_COMMERCIAL
+ depends on BR2_PACKAGE_QTOPIA4 && BR2_PACKAGE_QTOPIA4_LICENSE_TYPE_COMMERCIAL
help
Commercial users can download their source directly by providing a password.
config BR2_PACKAGE_QTOPIA4_QT3SUPPORT
bool "Compatibility with Qt3"
default y
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
help
Turns on support for older Qt3.
config BR2_PACKAGE_QTOPIA4_GIF
bool "Enable GIF support"
default n
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
help
This compiles and installs the plugin for GIF reading support.
config BR2_PACKAGE_QTOPIA4_LIBMNG
bool "Enable libmng support"
default n
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
help
This compiles and installs the plugin for MNG support.
choice
prompt "JPEG support"
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
default BR2_PACKAGE_QTOPIA4_NOJPEG
help
Select libjpeg support.
@@ -111,7 +111,7 @@ endchoice
choice
prompt "PNG support"
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
default BR2_PACKAGE_QTOPIA4_NOPNG
help
Select which library to use if PNG support should be enabled.
@@ -130,7 +130,7 @@ endchoice
choice
prompt "TIFF support"
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
default BR2_PACKAGE_QTOPIA4_NOTIFF
help
Select which library to use if TIFF support should be enabled.
@@ -149,25 +149,25 @@ endchoice
config BR2_PACKAGE_QTOPIA4_SVG
bool "Enable SVG support"
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
help
Enable the QtSvg library.
config BR2_PACKAGE_QTOPIA4_SQL
bool "Enable SQL support"
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
help
Enable all the SQL drivers it QtSql library.
config BR2_PACKAGE_QTOPIA4_OPENSSL
bool "Enable OpenSSL support"
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
help
Enable support for the OpenSSL encryption library.
choice
prompt "zlib support"
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
default BR2_PACKAGE_QTOPIA4_QTZLIB
help
Select zlib support.
@@ -211,6 +211,6 @@ config BR2_PACKAGE_QTOPIA4_EMB_PLATFORM
default "generic" if BR2_sh
default "generic" if BR2_sh64
default "generic" if BR2_sparc
- depends BR2_PACKAGE_QTOPIA4
+ depends on BR2_PACKAGE_QTOPIA4
help
The platform.
diff --git a/package/quagga/Config.in b/package/quagga/Config.in
index 880147aa4c..6158cde7c3 100644
--- a/package/quagga/Config.in
+++ b/package/quagga/Config.in
@@ -58,7 +58,7 @@ config BR2_PACKAGE_QUAGGA_OSPF6D
bool "quagga ospf6d"
default n
select BR2_PACKAGE_QUAGGA
- depends BR2_INET_IPV6
+ depends on BR2_INET_IPV6
help
routing software suite, providing implementations of
OSPFv2, OSPFv3, RIP v1 and v2, RIPng and BGP-4.
diff --git a/package/rxvt/Config.in b/package/rxvt/Config.in
index 4e646b1119..a5b5da07fa 100644
--- a/package/rxvt/Config.in
+++ b/package/rxvt/Config.in
@@ -1,7 +1,7 @@
config BR2_PACKAGE_RXVT
bool "rxvt"
default n
- depends BR2_PACKAGE_XSERVER_xorg || BR2_PACKAGE_XSERVER_tinyx || BR2_PACKAGE_XSERVER_x11r7
+ depends on BR2_PACKAGE_XSERVER_xorg || BR2_PACKAGE_XSERVER_tinyx || BR2_PACKAGE_XSERVER_x11r7
help
A nice small colour vt102 X terminal emulator.
diff --git a/package/samba/Config.in b/package/samba/Config.in
index 134ee790b2..08c605f66d 100644
--- a/package/samba/Config.in
+++ b/package/samba/Config.in
@@ -12,7 +12,7 @@ config BR2_PACKAGE_SAMBA
so choose only the components you need.
menu "Samba tools selection"
- depends BR2_PACKAGE_SAMBA
+ depends on BR2_PACKAGE_SAMBA
config BR2_PACKAGE_SAMBA_CIFS
bool "cifs"
diff --git a/package/sdl/Config.in b/package/sdl/Config.in
index 277d3c1e05..626040eb23 100644
--- a/package/sdl/Config.in
+++ b/package/sdl/Config.in
@@ -6,7 +6,7 @@ config BR2_PACKAGE_SDL
http://www.libsdl.org/
menu "SDL options selection"
- depends BR2_PACKAGE_SDL
+ depends on BR2_PACKAGE_SDL
config BR2_PACKAGE_SDL_FBCON
bool "SDL framebuffer console video driver"
diff --git a/package/synergy/Config.in b/package/synergy/Config.in
index 9a137ae377..ad615c2005 100644
--- a/package/synergy/Config.in
+++ b/package/synergy/Config.in
@@ -1,7 +1,7 @@
config BR2_PACKAGE_SYNERGY
bool "synergy"
default n
- depends BR2_PACKAGE_XORG7
+ depends on BR2_PACKAGE_XORG7
help
Synergy lets you easily share a single mouse and
keyboard between multiple computers with different
diff --git a/package/tcl/Config.in b/package/tcl/Config.in
index 1f75266f06..3b6ba937a5 100644
--- a/package/tcl/Config.in
+++ b/package/tcl/Config.in
@@ -9,7 +9,7 @@ config BR2_PACKAGE_TCL
config BR2_PACKAGE_TCL_DEL_ENCODINGS
bool "delete encodings (saves 1.4Mb)"
default y
- depends BR2_PACKAGE_TCL
+ depends on BR2_PACKAGE_TCL
help
Delete encoding files for TCL. If your programs do not use various tcl
character recoding functions, you may safely choose Y here.
@@ -18,7 +18,7 @@ config BR2_PACKAGE_TCL_DEL_ENCODINGS
config BR2_PACKAGE_TCL_SHLIB_ONLY
bool "install only shared library"
default y
- depends BR2_PACKAGE_TCL
+ depends on BR2_PACKAGE_TCL
help
Install only TCL shared library and not binary tcl interpreter(tclsh8.4).
Saves ~14kb.
diff --git a/package/udev/Config.in b/package/udev/Config.in
index 8917d1692e..45f8958275 100644
--- a/package/udev/Config.in
+++ b/package/udev/Config.in
@@ -15,7 +15,7 @@ config BR2_PACKAGE_UDEV_UTILS
to your filesystem.
menu "Extra udev tools"
- depends BR2_PACKAGE_UDEV
+ depends on BR2_PACKAGE_UDEV
config BR2_PACKAGE_UDEV_VOLUME_ID
bool "udev-libvolume_id"
diff --git a/package/valgrind/Config.in b/package/valgrind/Config.in
index 4eb6a9b695..8cbc241700 100644
--- a/package/valgrind/Config.in
+++ b/package/valgrind/Config.in
@@ -1,7 +1,7 @@
config BR2_PACKAGE_VALGRIND
bool "valgrind"
default n
- depends BR2_i386 || BR2_powerpc || BR2_x86_64
+ depends on BR2_i386 || BR2_powerpc || BR2_x86_64
help
Tool for debugging and profiling Linux programs.
diff --git a/package/vpnc/Config.in b/package/vpnc/Config.in
index f3c41e09a0..e6cd07e464 100644
--- a/package/vpnc/Config.in
+++ b/package/vpnc/Config.in
@@ -1,7 +1,7 @@
config BR2_PACKAGE_VPNC
bool "vpnc"
- depends BR2_PACKAGE_LIBGCRYPT
- depends BR2_PACKAGE_LIBGPG_ERROR
+ depends on BR2_PACKAGE_LIBGCRYPT
+ depends on BR2_PACKAGE_LIBGPG_ERROR
default n
help
Client for Cisco VPN concentrator
@@ -13,4 +13,4 @@ config BR2_PACKAGE_VPNC
http://www.unix-ag.uni-kl.de/~massar/vpnc
comment "vpnc - disabled (requires libgcrypt and libgpg_error)"
- depends !BR2_PACKAGE_LIBGCRYPT || !BR2_PACKAGE_LIBGPG_ERROR
+ depends on !BR2_PACKAGE_LIBGCRYPT || !BR2_PACKAGE_LIBGPG_ERROR
diff --git a/package/webif/Config.in b/package/webif/Config.in
index 2e0d43672c..254340980a 100644
--- a/package/webif/Config.in
+++ b/package/webif/Config.in
@@ -12,7 +12,7 @@ config BR2_PACKAGE_WEBIF
config BR2_PACKAGE_WEBIF_INSTALL_INDEX_HTML
bool "instal index.html in /www which redirects to webif"
- depends BR2_PACKAGE_WEBIF
+ depends on BR2_PACKAGE_WEBIF
default n
help
Installs a /www/index.html which redirects to the status console cgi
@@ -20,7 +20,7 @@ config BR2_PACKAGE_WEBIF_INSTALL_INDEX_HTML
config BR2_PACKAGE_WEBIF_LANGUAGES
bool "install language support"
- depends BR2_PACKAGE_WEBIF
+ depends on BR2_PACKAGE_WEBIF
default n
help
This option installs support for other languages than english.
diff --git a/package/x11r7/xdata_xkbdata/Config.in b/package/x11r7/xdata_xkbdata/Config.in
index 025c068670..cd56f74736 100644
--- a/package/x11r7/xdata_xkbdata/Config.in
+++ b/package/x11r7/xdata_xkbdata/Config.in
@@ -1,7 +1,7 @@
config BR2_PACKAGE_XDATA_XKBDATA
bool "xkbdata"
default n
- depends !BR2_PACKAGE_XKEYBOARD_CONFIG
+ depends on !BR2_PACKAGE_XKEYBOARD_CONFIG
help
xkbdata 1.0.1
No description available
diff --git a/package/xorg/Config.in b/package/xorg/Config.in
index 2290e49928..c4fb419b32 100644
--- a/package/xorg/Config.in
+++ b/package/xorg/Config.in
@@ -1,5 +1,5 @@
config BR2_PACKAGE_XORG
- depends BR2_DEPRECATED
+ depends on BR2_DEPRECATED
bool "X.org X Window System"
default y if BR2_PACKAGE_XSERVER_xorg
select BR2_PACKAGE_ZLIB